Delete a case template
Server:
https://{kibana_url}
- DELETE /api/cases/templates/{template_id}
- DELETE /s/{space_id}/api/cases/templates/{template_id}
Refer to Spaces for more information.
Soft-deletes a case template (all versions). Existing cases keep their pinned template reference; the template stops appearing in the case creation flow and in find responses. You must have the "Manage templates" sub-privilege for the Cases feature of the owning solution. Requires the Cases feature to be enabled in the space.
Path Parameters
-
template_idstring · max: 36required -
The identifier for the template.
Responses
204
The template was deleted.
Authorization information is missing or invalid.
-
errorstring -
messagestring -
statusCodeinteger
The user does not have the manage templates privilege for the owner.
-
errorstring -
messagestring -
statusCodeinteger
The template was not found.
-
errorstring -
messagestring -
statusCodeinteger